package com.dji.sdk.cloudapi.device;

/**
 * @author hqjiang
 * @version 1.0
 * @date 2024/8/28
 * 机场或遥控器对频信息
 */
public class LeafNode {

    /**
     * 扰码信息
     */
    private Integer sdrId;

    /**
     * 设备sn
     */
    private String sn;

    /**
     * 控制源序号
     */
    private Integer controlSourceIndex;


    public LeafNode() {
    }

    @Override
    public String toString() {
        return "LeafNode{" +
                "sdrId='" + sdrId + '\'' +
                ", sn=" + sn +
                ", controlSourceIndex=" + controlSourceIndex +
                '}';
    }

    public Integer getSdrId() {
        return sdrId;
    }

    public LeafNode setSdrId(Integer sdrId) {
        this.sdrId = sdrId;
        return this;
    }

    public String getSn() {
        return sn;
    }

    public LeafNode setSn(String sn) {
        this.sn = sn;
        return this;
    }

    public Integer getControlSourceIndex() {
        return controlSourceIndex;
    }

    public LeafNode setControlSourceIndex(Integer controlSourceIndex) {
        this.controlSourceIndex = controlSourceIndex;
        return this;
    }

}
